<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFechamentoRegistrationViewModel;

use App\Utils\Builder;

class PagamentoComandaFechamentoViewModelBuilder implements Builder {
	protected $id;
	protected $comanda_id;
	protected $tipo_fechamento;
	protected $valor;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public function build(): PagamentoComandaFechamentoViewModel {

		$pagamentofechamento_vm = new PagamentoComandaFechamentoViewModel();

		$pagamentofechamento_vm->setId( $this->id );
		$pagamentofechamento_vm->setComandaId($this->comanda_id);
		$pagamentofechamento_vm->setTipoFechamento( $this->tipo_fechamento );
		$pagamentofechamento_vm->setValor( $this->valor );
		$pagamentofechamento_vm->setCriado_por( $this->criado_por );
		$pagamentofechamento_vm->setDataCriacao( $this->data_criacao );
		$pagamentofechamento_vm->setHoraCriacao( $this->hora_criacao );
		$pagamentofechamento_vm->setAtualizado_por( $this->atualizado_por );
		$pagamentofechamento_vm->setDataAtualizacao( $this->data_atualizacao );
		$pagamentofechamento_vm->setHoraAtualizacao( $this->hora_atualizacao );

		return $pagamentofechamento_vm;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $tipo_fechamento
	 */
	public function setComandaId($comanda_id) {

		$this->comanda_id = $comanda_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $tipo_fechamento
	 */
	public function setTipoFechamento($tipo_fechamento) {

		$this->tipo_fechamento = $tipo_fechamento;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {

		$this->criado_por = $criado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setDataAtualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHoraAtualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;
		return $this;

	}

}

